﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */
:root {
    --rcolor1: #FECB00;
    --pantone129: #FFD132;
    --pantone7543: #ADB6BA;
    --pantoneblack: #13100D;
    --pantone7500: #F9E49F;
    --pantone650: #DEE1E2;
    --pantonecoolgray: #474744;
    --jcolor1: #A0B100;
}

.rcolor1 {
    background-color: var(--rcolor1);
}

.pantone129 {
    background-color: var(--pantone129);
}

.pantone7543 {
    background-color: var(--pantone7543);
}

.pantoneblack {
    background-color: var(--pantoneblack);
}

.pantone7500 {
    background-color: var(--pantone7500);
}

.pantone650 {
    background-color: var(--pantone650);
}

.pantonecoolgray {
    background-color: var(--pantonecoolgray);
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: black;
    font-weight: bold;
    background-color: var(--pantone129);
    border-color: var(--pantone129);
    min-width: 80px;
    text-align: center;
    height: 50px;
    padding-top: 8px;
}

.jpafooter {
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
    padding: 1rem;
    text-align: right;
}

.jcolor1 {
    background-color: var(--jcolor1);
}

.form-control::placeholder {
    color: red;
    font-style: italic;
    opacity: 1; /* Firefox */
}

.card-header {
    background-color: var(--pantone129);
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}


body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
    font-family: "Poppins", 'Courier New';
}

.disclaimer {
    font-size: 10px;
    font-weight: 300;
    font-style: italic;
}

.technical {
    font-size: 10px;
    font-weight: 700;
    font-style: italic;
}

.btn-center {
    text-align: center;
}

a:link, a:visited {
    text-align: center;
}


.uvalue {
    font-size: 24px;
    font-weight: 800;
    padding-left: 20px;
}

.uvalue-combined {
    font-size: 8px;
    font-weight: 400;
    font-style: italic;
    padding-bottom: 5px;
    padding-left: 20px;
    padding-right: 5px;
    padding-top: 5px;
}

.uvalue-en-iso-6946 {
    font-size: 10px;
    font-weight: 700;
    padding-bottom: 5px;
    padding-left: 20px;
    padding-right: 5px;
    padding-top: 5px;
}

.uvalue-inputs {
    font-size: 14px;
    font-weight: 300;
}

.uvalue-title {
    font-size: 16px;
    font-weight: 400;
}

.uvalue-top-label-width {
    width: 480px;
}

.measurement {
    font-size: 12px;
    font-weight: 700;
}

.recticel-padding-bottom {
    padding-bottom: 5px
}

.recticel-padding-left-5 {
    padding-left: 5px
}

.recticel-padding-left-20 {
    padding-left: 20px
}

.recticel-padding-top-10 {
    padding-top: 10px
}

.recticel-padding-top-20 {
    padding-top: 20px
}

.recticel-padding-allround-5 {
    padding: 5px
}

.recticel-padding-allround-40 {
    padding: 40px
}

.recticel-btn {
    width: 100px;
}

.iframe-container {
    overflow: hidden;
    /* 16:9 aspect ratio */
    padding-top: 56.25%;
    position: relative;
}

    .iframe-container iframe {
        border: 0;
        height: 100%;
        left: 0;
        position: absolute;
        top: 0;
        width: 100%;
    }

.visually-hidden {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

.text-danger {
    font-size: 12px;
    font-weight: 500;
}

.top-nav {
    margin: 0;
    padding: 0;
    width: 100%;
}

    .top-nav ol {
        text-decoration: none;
        padding: 0;
        margin: 0;
        display: flex;
        justify-content: stretch;
    }

    .top-nav li {
        list-style-type: none;
        flex: 1;
        text-align: center;
        background: #ecebe9;
        border-bottom: 1px solid #e0ded8;
        position: relative;
        overflow: hidden;
        white-space: nowrap;
    }

        .top-nav li a,
        .top-nav li:not(.has-link) {
            padding: 1.5em 2.2em;
        }

        .top-nav li a {
            display: block;
            color: inherit;
            text-decoration: none;
        }


        .top-nav li.active {
            font-weight: bold;
            background: var(--pantone129);
        }

            .top-nav li.active + li:before {
                content: "";
                position: absolute;
                background: var(--pantone129);
                left: -1em;
                top: -2.1em;
                height: 5em;
                width: 5em;
                transform: rotate(57deg) skewX(22deg);
                border-top: 10px solid white;
                border-right: 10px solid white;
                transform-origin: 0 0;
            }
